---
title: HTMLTableElement.createTHead()
slug: Web/API/HTMLTableElement/createTHead
tags:
  - API
  - HTML DOM
  - HTMLTableElement
  - Method
  - NeedsSpecTable
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>HTMLTableElement.createTHead()</strong></code> method returns the {{HTMLElement("thead")}} element associated with a given {{HtmlElement("table")}}. If no header exists in the table, this method creates it, and then returns it.</p>

<div class="notecard note">
<p><strong>Note:</strong> If no header exists, <code>createTHead()</code> inserts a new header directly into the table. The header does not need to be added separately as would be the case if {{domxref("Document.createElement()")}} had been used to create the new <code>&lt;thead&gt;</code> element.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>HTMLTableSectionElement</em> = <em>table</em>.createTHead();</pre>

<h3 id="Return_value">Return value</h3>

<p>{{domxref("HTMLTableSectionElement")}}</p>

<h2 id="Example">Example</h2>

<pre class="brush:js">let myhead = mytable.createTHead();
// Now this should be true: myhead == mytable.tHead</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-table-createthead', 'HTMLTableElement: createTHead')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLTableElement.createTHead")}}</p>
</div>
